Loading...
Searching...
No Matches
nc4cache.c File Reference

The netCDF-4 functions which control HDF5 caching. More...

`#include "config.h"`
`#include "nc4internal.h"`
Include dependency graph for nc4cache.c:

Go to the source code of this file.

## Functions

int | nc_def_var_chunking_ints (int ncid, int varid, int storage, int *chunksizesp)
int | nc_get_chunk_cache (size_t *sizep, size_t *nelemsp, float *preemptionp)
| Get current netCDF chunk cache settings.
int | nc_get_chunk_cache_ints (int *sizep, int *nelemsp, int *preemptionp)
int | nc_set_chunk_cache (size_t size, size_t nelems, float preemption)
| Set chunk cache size.
int | nc_set_chunk_cache_ints (int size, int nelems, int preemption)
int | nc_set_var_chunk_cache_ints (int ncid, int varid, int size, int nelems, int preemption)

## Detailed Description

The netCDF-4 functions which control HDF5 caching.

These caching controls allow the user to change the cache sizes of HDF5 before opening files.

Author
  Ed Hartnett

Definition in file nc4cache.c.

## Function Documentation

## nc_def_var_chunking_ints()

int nc_def_var_chunking_ints | ( | int | ncid,
|  | int | varid,
|  | int | storage,
|  | int * | chunksizesp )

Definition at line 180 of file nc4cache.c.

## nc_get_chunk_cache_ints()

int nc_get_chunk_cache_ints | ( | int * | sizep,
|  | int * | nelemsp,
|  | int * | preemptionp )

Definition at line 152 of file nc4cache.c.

## nc_set_chunk_cache_ints()

int nc_set_chunk_cache_ints | ( | int | size,
|  | int | nelems,
|  | int | preemption )

Definition at line 125 of file nc4cache.c.

## nc_set_var_chunk_cache_ints()

int nc_set_var_chunk_cache_ints | ( | int | ncid,
|  | int | varid,
|  | int | size,
|  | int | nelems,
|  | int | preemption )

Definition at line 173 of file nc4cache.c.